<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>3. 実習課題 &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" />
    <link rel="up" title="計算機実習 問題6.6 ファイゲンバウム定数の評価" href="6-6.html" />
    <link rel="next" title="4. まとめ" href="conclusion.html" />
    <link rel="prev" title="2. 作成したプログラム" href="program.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="6-6.html" accesskey="U">計算機実習 問題6.6 ファイゲンバウム定数の評価</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="id1">
<h1>3. 実習課題<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h1>
<ol class="loweralpha simple">
<li>作成したプログラムを使って、 <img class="math" src="../_images/math/0169cf914e137589405e489b4bbd3d3ae243a1a3.png" alt="\delta_{k}=(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/> を <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> に対してプロットし、 <img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/> を求めよ。 <img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/> の表ref{tab:t1}に与えられた値の桁数はどの <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> についても十分か。最も精度よく求められている <img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/> の値は</li>
</ol>
<div class="math" id="equation-e2">
<p><span class="eqno">(1)</span><img src="../_images/math/21ceee8e659da87f507811a73872b951d72048d8.png" alt="\delta = 4.669\ 201\ 609\ 102\ 991 \cdots"/></p>
</div><p>である。式 <a href="#equation-e2">(1)</a> の小数点以下の桁は、 <img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/> が高い精度で求められていることを示している。式 <a href="#equation-e1">(?)</a> 、式 <a href="#equation-e2">(1)</a> および <img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/> の値を使って <img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/> の値を求めよ。</p>
<ul class="simple">
<li>まず、 <img class="math" src="../_images/math/0169cf914e137589405e489b4bbd3d3ae243a1a3.png" alt="\delta_{k}=(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/> を <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> に対してプロットしたグラフを、図ref{fig:f1}に示した。ここで単純に全体の相加平均を求め、その結果を直線にしてグラフに描いた。また、表ref{tab:t1}に与えられた <img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/> の桁数について、 <img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/> の間隔が <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> が大きくなるにつれて減少していくことを考えると、 <img class="math" src="../_images/math/3b173dbd733f0cc9f393aff683445922f57ec823.png" alt="b_{8}"/> の桁数などは十分であるとは言えないだろう。実際、平均値として得られた <img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/> が、精度よく求められている <img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/> の値に近いのに対して、本来 <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> が大きいところでは収束するはずの <img class="math" src="../_images/math/a6e5c79c4fb3e83e4e6386193dd2b0871c259436.png" alt="\delta_{k}"/> が、そこからずれた値となっていることも、 <img class="math" src="../_images/math/3b173dbd733f0cc9f393aff683445922f57ec823.png" alt="b_{8}"/> などの桁数が不足していることを表していると言える。</li>
</ul>
<p>次に、最小2乗法により式 <a href="#equation-e1">(?)</a> におけるパラメータ <img class="math" src="../_images/math/65868d23a5bfe5b3b2d819386b19c14fa36af134.png" alt="c"/> 、 <img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/> を求め、その結果を表ref{tab:t2}に示す。ここで、得られた値 <img class="math" src="../_images/math/22e09b0a274978b1ad925677f35ef881058d3953.png" alt="r_{\infty}=0.892 546 164 091"/> は非常に正確に調べられていて、その値は <img class="math" src="../_images/math/573212012d9e249a534d82d99b98fc2e4673ef08.png" alt="r_{\infty}=0.892 486 417 967 \cdots"/> である。すなわち、得られた <img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/> はよく知られている値に対してわずか約0.007％の誤差で精度よく求めることができていることがわかる。</p>
<div class="figure">
<a class="reference internal image-reference" href="../_images/figure_16.pdf"><img alt="figure_1.pdf" src="../_images/figure_16.pdf" style="width: 12.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/a6e5c79c4fb3e83e4e6386193dd2b0871c259436.png" alt="\delta_{k}"/> を <img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/> に対してプロットしたグラフ</p>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="16%" />
<col width="84%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">パラメータ</th>
<th class="head">値</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><img class="math" src="../_images/math/65868d23a5bfe5b3b2d819386b19c14fa36af134.png" alt="c"/></td>
<td>0.665237682254</td>
</tr>
<tr class="row-odd"><td><img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/></td>
<td>0.892546164091</td>
</tr>
</tbody>
</table>
<p>最小2乗法によって式 <a href="#equation-e1">(?)</a> にフィッティングした時のパラメータの値</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="program.html"
                        title="previous chapter">2. 作成したプログラム</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="conclusion.html"
                        title="next chapter">4. まとめ</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-6_feigenbaum/experiment.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             >next</a> |</li>
        <li class="right" >
          <a href="program.html" title="2. 作成したプログラム"
             >previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="6-6.html" >計算機実習 問題6.6 ファイゲンバウム定数の評価</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>